Bug 1018924 - SELinux is preventing /usr/bin/certutil from 'write' accesses on the directory /usr/share/pki/ca-trust-source.
SELinux is preventing /usr/bin/certutil from 'write' accesses on the director...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:1e65af00c22cf716c52eaa0a273...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 13:28 EDT by Elio Maldonado Batiz
Modified: 2013-10-15 03:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-15 03:47:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elio Maldonado Batiz 2013-10-14 13:28:25 EDT
Description of problem:
Updated to the fc20 Beta test candidate using fedup.
Restarted the sytem and let the default grub choce if updating take course.
Once the update was completed I modified the .repo files in /etc/yum.repo so that the updates-testing repo was disabled, keeing fedora.repo and fedora-updated.repo enabled.
Exceuted distro-sync which caused a few downgrades.
Restarted my updated system,
Logging in.
SELinix detected this problem.
SELinux is preventing /usr/bin/certutil from 'write' accesses on the directory /usr/share/pki/ca-trust-source.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that certutil should be allowed write access on the ca-trust-source directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep certutil /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:certwatch_t:s0-s0:c0.c1023
Target Context                system_u:object_r:cert_t:s0
Target Objects                /usr/share/pki/ca-trust-source [ dir ]
Source                        certutil
Source Path                   /usr/bin/certutil
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           crypto-utils-2.4.1-44.fc20.x86_64
Target RPM Packages           ca-certificates-2013.1.94-18.fc20.noarch
Policy RPM                    selinux-policy-3.12.1-75.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.4-301.fc20.x86_64 #1 SMP Thu
                              Oct 10 15:09:17 UTC 2013 x86_64 x86_64
Alert Count                   31
First Seen                    2013-10-13 16:36:03 PDT
Last Seen                     2013-10-14 10:11:03 PDT
Local ID                      af5830d4-9066-4e68-b9a2-ba83ac0b5f6d

Raw Audit Messages
type=AVC msg=audit(1381770663.553:541): avc:  denied  { write } for  pid=3515 comm="certwatch" name="ca-trust-source" dev="dm-2" ino=2623914 scontext=system_u:system_r:certwatch_t:s0-s0:c0.c1023 tcontext=system_u:object_r:cert_t:s0 tclass=dir


type=SYSCALL msg=audit(1381770663.553:541): arch=x86_64 syscall=access success=no exit=EACCES a0=1b2ec80 a1=2 a2=0 a3=0 items=0 ppid=3487 pid=3515 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=2 tty=(none) comm=certwatch exe=/usr/bin/certwatch subj=system_u:system_r:certwatch_t:s0-s0:c0.c1023 key=(null)

Hash: certutil,certwatch_t,cert_t,dir,write

Additional info:
reporter:       libreport-2.1.8
hashmarkername: setroubleshoot
kernel:         3.11.4-301.fc20.x86_64
type:           libreport

Potential duplicate: bug 988209
Comment 1 Lukas Vrabec 2013-10-15 03:47:50 EDT
Hi,
Please update selinux-policy packages in your system.

$ audit2allow -i avc 


#============= certwatch_t ==============

#!!!! This avc is allowed in the current policy
allow certwatch_t cert_t:dir write;

$ rpm -q selinux-policy
selinux-policy-3.12.1-90.fc20.noarch

Note You need to log in before you can comment on or make changes to this bug.